Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZCompany Member List

This is the complete list of members for eZCompany, including all inherited members.

$Comment | eZCompany |
$CompanyNo | eZCompany |
$ContactID | eZCompany |
$ContactType | eZCompany |
$CreatorID | eZCompany |
$ID | eZCompany |
$Name | eZCompany |
$Online | eZCompany |
$PersonContactID | eZCompany |
__construct( $id=-1) | eZCompany |
addAddress(&$address) | eZCompany |
addImage(&$image) | eZCompany |
addOnline(&$online) | eZCompany |
addPerson( $personid, $companyid=false) | eZCompany |
addPhone(&$phone) | eZCompany |
addresses( $companyID=false) | eZCompany |
addViewHit( $company_id=false) | eZCompany |
categories( $companyID=false, $as_object=true, $limit=-1) | eZCompany |
comment() | eZCompany |
companyImage( $id=false) | eZCompany | static
companyNo() | eZCompany |
contact() | eZCompany |
contactType() | eZCompany |
countByCategory( $categoryID) | eZCompany |
creatorID() | eZCompany |
delete( $id=false) | eZCompany |
deleteImage( $id=false) | eZCompany |
deleteLogo( $id=false) | eZCompany |
exists( $id) | eZCompany | static
get( $id=-1) | eZCompany |
getAll() | eZCompany |
getByCategory( $categoryID, $offset=0, $limit=-1, $order="name") | eZCompany |
id() | eZCompany |
images() | eZCompany |
logoImage( $id=false) | eZCompany | static
name() | eZCompany |
onlines( $onlineID=false) | eZCompany |
personCount( $id=false) | eZCompany |
persons( $id=false, $as_object=true, $limit=-1, $offset=0) | eZCompany | static
phones( $companyID=false) | eZCompany |
projectState() | eZCompany |
removeAddresses() | eZCompany |
removeCategories() | eZCompany |
removeImages() | eZCompany |
removeOnlines() | eZCompany |
removePersons( $companyid=false) | eZCompany |
removePhones() | eZCompany |
search( $query) | eZCompany | static
searchByCategory( $categoryID, $query) | eZCompany |
searchByPerson( $query) | eZCompany |
setComment( $value) | eZCompany |
setCompanyImage(&$image, $id=false) | eZCompany |
setCompanyNo( $value) | eZCompany |
setContact( $value) | eZCompany |
setCreatorID(&$user) | eZCompany |
setLogoImage(&$image, $id=false) | eZCompany |
setName( $value) | eZCompany |
setPersonContact( $value) | eZCompany |
setProjectState( $value) | eZCompany |
store() | eZCompany |
totalViewCount() | eZCompany |
viewCount( $date=false, $type="day") | eZCompany |
yearViewCounts( $year=false) | eZCompany |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.